Name: gdhcpd
Version: 0.3.2       
Release: 8%{?dist}
Summary: GTK+ administration tool for ISC DHCPD         

Group: Applications/System       
License: GPLv2+     
URL: http://www.gadmintools.org           
Source0: http://mange.dynalias.org/linux/gdhcpd/%{name}-%{version}.tar.gz
Source1: %{name}.desktop 
Patch0: consolehelper_fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
Requires: dhcp >= 3.0.3     
Requires: usermode >= 1.36

%description
GDHCPD is an easy to use GTK+ administration tool for ISC DHCPD. 
It handles dynamic scopes, hosts, ranges and settings

%prep
%setup -q
%patch0 -p1 -b .consolehelper

%build
%configure   --localstatedir=%{_localstatedir}/lib/dhcpd
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
CFLAGS=$RPM_OPT_FLAGS make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_docdir}/gdhcpd
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
ln -s consolehelper ${RPM_BUILD_ROOT}/%{_bindir}/gdhcpd
desktop-file-install --vendor fedora       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Red-Hat-Base        \
  --add-category X-Red-Hat-ServerConfig        \
  %{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/gdhcpd
%{_sbindir}/gdhcpd
%{_datadir}/applications/fedora-gdhcpd.desktop
%{_datadir}/pixmaps/gdhcpd.png
%{_datadir}/pixmaps/gdhcpd/
%config(noreplace) %{_sysconfdir}/pam.d/gdhcpd
%config(noreplace) %{_sysconfdir}/security/console.apps/gdhcpd
%doc COPYING AUTHORS ChangeLog



%changelog
* Fri Feb 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-8
- Rebuild for gcc-4.3

* Sat Dec 29 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-7
- Fix dhcpd lease directory

* Tue Aug 21 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-6
- Rebuild for BuildID and ppc32 bug

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-5
- Update License tag

* Thu Jul 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-4
- Fix ownership

* Thu Jul 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-3
- More specfile cleanups

* Thu Jul 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-2
- Specfile cleanup

* Wed Jul 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3.2-1
- Initital Build
